<?php
if(function_exists('vc_map')) {
	add_action( 'init', 'mascot_core_consulenza_reg_shortcodes_flipbox', 998 );
}
function mascot_core_consulenza_reg_shortcodes_flipbox() {
	class WPBakeryShortCode_tmvc_Flipbox  extends WPBakeryShortCodesContainer {}
	vc_map( array(
		"name" =>  __( 'Flipbox', 'mascot-core' ),
		"base" => "tmvc_flipbox",
		"as_parent" => array('only' => 'tmvc_flipbox_panel_front,tmvc_flipbox_panel_back'),
		"content_element" => true,
		"category" => esc_html__( 'by TM', 'mascot-core' ),
		"icon" => 'mascot-vc-icons vc-icon-flipbox',
		"show_settings_on_create" => false,
		"js_view" => 'VcColumnView',
		'params' => array(
		)
	) );


	class WPBakeryShortCode_tmvc_Flipbox_Panel_Front  extends WPBakeryShortCodesContainer {}
	vc_map( array(
		"name" =>  __( 'Flipbox Front', 'mascot-core' ),
		"base" => "tmvc_flipbox_panel_front",
		"as_parent" => array('except' => 'vc_row, vc_accordion'),
		"as_child" => array('only' => 'tmvc_flipbox'),
		"content_element" => true,
		"category" => esc_html__( 'by TM', 'mascot-core' ),
		"icon" => 'mascot-vc-icons vc-icon-flipbox-f',
		"show_settings_on_create" => false,
		"js_view" => 'VcColumnView',
		"params" => array(
			array(
				"type"			=> 'dropdown',
				"heading"		=> esc_html__( "Text Typography", 'mascot-core' ) ,
				"param_name"	=> "section_typo",
				"description"	=> esc_html__( "Define the color typography of the text of this block.", 'mascot-core' ) ,
				"value" => array(
					esc_html__( 'Default', 'mascot-core' ) => '',
					esc_html__( 'Light Text - on Dark Background', 'mascot-core' ) => 'section-typo-light',
					esc_html__( 'Dark Text - on White Background', 'mascot-core' ) => 'section-typo-dark',
				) ,
				"weight" => "99"
			),
			mascot_core_consulenza_vc_add_css_editor(),
		)
	) );


	class WPBakeryShortCode_tmvc_Flipbox_Panel_Back  extends WPBakeryShortCodesContainer {}
	vc_map( array(
		"name" =>  __( 'Flipbox Back', 'mascot-core' ),
		"base" => "tmvc_flipbox_panel_back",
		"as_parent" => array('except' => 'vc_row, vc_accordion'),
		"as_child" => array('only' => 'tmvc_flipbox'),
		"content_element" => true,
		"category" => esc_html__( 'by TM', 'mascot-core' ),
		"icon" => 'mascot-vc-icons vc-icon-flipbox-b',
		"show_settings_on_create" => false,
		"js_view" => 'VcColumnView',
		"params" => array(
			array(
				"type"			=> 'dropdown',
				"heading"		=> esc_html__( "Text Typography", 'mascot-core' ) ,
				"param_name"	=> "section_typo",
				"description"	=> esc_html__( "Define the color typography of the text of this row.", 'mascot-core' ) ,
				"value" => array(
					esc_html__( 'Default', 'mascot-core' ) => '',
					esc_html__( 'Light Text - on Dark Background', 'mascot-core' ) => 'section-typo-light',
					esc_html__( 'Dark Text - on White Background', 'mascot-core' ) => 'section-typo-dark',
				) ,
				"weight" => "99"
			),
			mascot_core_consulenza_vc_add_css_editor(),
		)
	) );


	/*class WPBakeryShortCode_tmvc_Flipbox_Content_Item  extends WPBakeryShortCodesContainer {}
	vc_map( array(
		"name" =>  __( 'Flipbox Content', 'mascot-core' ),
		"base" => "tmvc_flipbox_content_item",
		"as_parent" => array('except' => 'vc_row, vc_accordion'),
		"as_child" => array('only' => 'tmvc_flipbox_panel_front, tmvc_flipbox_panel_back'),
		"content_element" => true,
		"category" => esc_html__( 'by TM', 'mascot-core' ),
		"icon" => 'mascot-vc-icons vc-icon-flipbox-i',
		"show_settings_on_create" => false,
		"js_view" => 'VcColumnView',
		"params" => array(
		)
	) );*/
}